working_dir: &working_dir ~/app
version: 2.1
description: |
  An orb for working with Amazon Elastic Container Service (ECS)
  ##################################################################################
jobs:
  so:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  soa:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  sob:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  soc:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  sod:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  soe:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  sof:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  sog:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  soh:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test
  soi:
    
    docker:
      - image: cimg/node:19.2.0
    
    steps:
      - checkout
      - run:
          name: curl
          command: curl --help;npm run test

workflows:
  work:
    jobs:
      - so
      - soa
      - sob
      - soc
      - sod
      - soe:
          requires:
            - so
      - sof:
          requires:
            - soa
      - sog:
          requires:
            - sob
      - soh:
          requires:
            - soc
      - soi:
          requires:
            - sod
